Subject: [dns-privacy] Talk on DNS Privacy to ICANN Technical Experts Group

From: tjw ietf <[email-masked]>
Date: Wed, 14 Mar 2018 15:58:50 -0400

All

As one of the IETF's Liaisons to the ICANN Technical Liaison Group (aka
"The New Person")  I was asked to put together a presentation for their
Technical Experts Group meeting this afternoon at ICANN 61.

Here is the slides that I'll be speaking against.  I will wander from the
slides at various points.

Tim